<?php

declare(strict_types=1);

namespace FiloBlu\RuleDayFromBirthday\Api\Data;

use Magento\Framework\Api\SearchResultsInterface;

/**
 * Interface CustomCouponSearchResultInterface
 * @package FiloBlu\RuleDayFromBirthday\Api\Data
 */
interface CustomCouponSearchResultInterface extends SearchResultsInterface
{

    /**
     * @return \FiloBlu\RuleDayFromBirthday\Api\Data\CustomCouponInterface[]
     */
    public function getItems();

    /**
     * @param \FiloBlu\RuleDayFromBirthday\Api\Data\CustomCouponInterface[] $items
     * @return $this
     */
    public function setItems(array $items);
}
