<?php

declare(strict_types=1);

use FiloBlu\RuleDayFromBirthday\Cron\SendBulkSubscriber;
use Magento\Framework\App\Bootstrap;
use Magento\Framework\App\ObjectManager;
use Magento\Framework\App\State;

require __DIR__ . '/../../../../../app/bootstrap.php';

$params = $_SERVER;
$bootstrap = Bootstrap::create(BP, $params);
$obj = $bootstrap->getObjectManager();
$objectManager = ObjectManager::getInstance();
$state = $obj->get(State::class);
$state->setAreaCode('frontend');

/** @var SendBulkSubscriber $sendBulkSubscriber */
$sendBulkSubscriber = $objectManager->get(SendBulkSubscriber::class);
$sendBulkSubscriber->sendBulkSubscriber();

echo "Done\n";


